import { makeWidget } from '../gjs/widget.js';
import { TrackerShape } from '../prefs/schema/TrackerShape.js';
import { exhausted } from '../ts/exhausted.js';
import { makeCircle } from './circle.js';
import { makeCursor } from './cursor.js';
export function makeIndicator(settings) {
    const indicator = makeWidget();
    const circle = makeCircle();
    const cursor = makeCursor();
    function updateShape() {
        const shape = settings.get_enum('pointer-shape');
        indicator.remove_all_children();
        switch (shape) {
            case TrackerShape.CIRCLE:
                indicator.add_child(circle);
                break;
            case TrackerShape.CURSOR:
                indicator.add_child(cursor);
                break;
            default:
                exhausted(shape);
        }
    }
    settings.connect('changed::pointer-shape', updateShape);
    updateShape();
    indicator.opacity = 128;
    return indicator;
}
