import { makeWidget, setStyles } from '../gjs/widget.js';
export function makeCircle(settingsSub) {
    const circle = makeWidget();
    const styles = {};
    function updateSize() {
        const size = settingsSub.settings.get_int('tracker-size');
        styles['width'] = `${size}px`;
        styles['height'] = `${size}px`;
        styles['border-radius'] = `${size / 2}px`;
        setStyles(circle, styles);
        circle.set_translation(-size / 2, -size / 2, 0);
    }
    settingsSub.connect('changed::tracker-size', updateSize);
    updateSize();
    function updateColor() {
        const hexColor = settingsSub.settings.get_string('tracker-color');
        styles['background-color'] = hexColor;
        setStyles(circle, styles);
    }
    settingsSub.connect('changed::tracker-color', updateColor);
    updateColor();
    function updateOpacity() {
        const opacitySetting = settingsSub.settings.get_int('tracker-opacity');
        circle.opacity = Math.ceil(opacitySetting * 2.55);
    }
    settingsSub.connect('changed::tracker-opacity', updateOpacity);
    updateOpacity();
    return circle;
}
